Uploaded image for project: 'ActiveMQ'
  1. ActiveMQ
  2. AMQ-5005

Eclipse build with latest Scala plugins fails

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.9.0
    • Fix Version/s: 5.9.1, 5.10.0
    • Component/s: LevelDB
    • Labels:
      None
    • Patch Info:
      Patch Available

      Description


      Being an idiot, I installed the "latest" scala plugins for Eclipse before actually checking the ActiveMQ builds to see what it requires. Those plugins currently are Scala 2.10 based. The code doesn't build with those plugins, but a relatively minor change fixes it (and doesn't cause problems with the default 2.9 compiler).

        Attachments

        1. amq5005.patch
          2 kB
          Daniel Kulp

          Activity

            People

            • Assignee:
              hadrian Hadrian Zbarcea
              Reporter:
              dkulp Daniel Kulp
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: